Subject: bug#23038: 25.0.92; M-% from isearch broken (error in isearch--describe-regexp-mode)

From: Stephen Berman <[email-masked]>
Date: Fri, 18 Mar 2016 17:07:31 +0100

On Fri, 18 Mar 2016 16:08:27 +0100 Michael Heerdegen <[email-masked]> wrote:

> Kaushal Modi <[email-masked]> writes:
>
>> By mistake I created my last patch with an alias that did git
>> format-patch ignoring whitespace diffs. Below patch fixes this bug
>> plus those indentation changes.
>
> Dumb question: why does your diff contain so many additional line
> breaks?  This is how it appears for me in Gnus:
>
>
>> lisp/isearch.el | 19 +++++++++++--------
>>
>>
>> 1 file changed, 11 insertions(+), 8 deletions(-)
>>
>>
>> diff --git a/lisp/isearch.el b/lisp/isearch.el
>>
>>
>> index 988503e..48354d3 100644
[...]

I see this with many (perhaps all) posts from gmail.com addresses
displayed in Gnus as HTML; if I switch (by typing `b') to the non-HTML
alternative, the display is fine.  The HTML contains lots of div tags
with class attributes with values like "gmail_extra" that I guess shr
doesn't grok.  I only started noticing this odd display fairly recently
(I can't say more precisely, could be several weeks or longer); I don't
know if something changed in shr, in gmail or elsewhere.

Steve Berman